Bug 1580126 - [abrt] cinnamon: update(): cs_startup.py:728:update:AttributeError: 'AutostartRow' object has no attribute 'delay_time_label'
Summary: [abrt] cinnamon: update(): cs_startup.py:728:update:AttributeError: 'Autostar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d0e0d9974dd000602b44003a76...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-20 13:05 UTC by yzheng
Modified: 2018-05-31 14:37 UTC (History)
2 users (show)

Fixed In Version: cinnamon-3.8.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-31 14:37:04 UTC


Attachments (Terms of Use)
File: backtrace (726 bytes, text/plain)
2018-05-20 13:05 UTC, yzheng
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-20 13:05 UTC, yzheng
no flags Details
File: cpuinfo (1.89 KB, text/plain)
2018-05-20 13:05 UTC, yzheng
no flags Details
File: environ (3.67 KB, text/plain)
2018-05-20 13:05 UTC, yzheng
no flags Details
File: mountinfo (4.13 KB, text/plain)
2018-05-20 13:05 UTC, yzheng
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-20 13:05 UTC, yzheng
no flags Details
File: open_fds (1.32 KB, text/plain)
2018-05-20 13:05 UTC, yzheng
no flags Details

Description yzheng 2018-05-20 13:05:21 UTC
Version-Release number of selected component:
cinnamon-3.8.2-1.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py startup
crash_function: update
exception_type: AttributeError
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.8-300.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
cs_startup.py:728:update:AttributeError: 'AutostartRow' object has no attribute 'delay_time_label'

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_startup.py", line 533, in on_edit_button_clicked
    row.update()
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_startup.py", line 728, in update
    self.delay_time_label.set_markup(delay_time_markup)
AttributeError: 'AutostartRow' object has no attribute 'delay_time_label'

Local variables in innermost frame:
delay_time_markup: '0'
comment_markup: '/usr/bin/xed /home/hai/Note/basic\\ information.txt'
name_markup: '1'
self: <cs_startup.AutostartRow object at 0x7f6058fe7630 (cs_startup+AutostartRow at 0x55bb0b1b0bf0)>

Comment 1 yzheng 2018-05-20 13:05:26 UTC
Created attachment 1439160 [details]
File: backtrace

Comment 2 yzheng 2018-05-20 13:05:28 UTC
Created attachment 1439161 [details]
File: cgroup

Comment 3 yzheng 2018-05-20 13:05:30 UTC
Created attachment 1439162 [details]
File: cpuinfo

Comment 4 yzheng 2018-05-20 13:05:32 UTC
Created attachment 1439163 [details]
File: environ

Comment 5 yzheng 2018-05-20 13:05:34 UTC
Created attachment 1439164 [details]
File: mountinfo

Comment 6 yzheng 2018-05-20 13:05:36 UTC
Created attachment 1439165 [details]
File: namespaces

Comment 7 yzheng 2018-05-20 13:05:37 UTC
Created attachment 1439166 [details]
File: open_fds

Comment 8 Fedora Update System 2018-05-21 17:21:31 UTC
cinnamon-3.8.3-1.fc28 mint-y-icons-1.2.0-1.fc28 mint-themes-1.6.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-95e3ec56cd

Comment 9 Fedora Update System 2018-05-22 19:37:48 UTC
blueberry-1.2.1-1.fc28, cinnamon-3.8.3-1.fc28, cinnamon-translations-3.8.1-2.fc28, mint-themes-1.6.6-1.fc28, mint-y-icons-1.2.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-95e3ec56cd

Comment 10 Fedora Update System 2018-05-31 14:37:04 UTC
blueberry-1.2.1-1.fc28, cinnamon-3.8.3-1.fc28, cinnamon-translations-3.8.1-2.fc28, mint-themes-1.6.6-1.fc28, mint-y-icons-1.2.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.